System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object

The class represents the <Signature> element of an XML signature defined by the XML digital signature specification. The <Signature> element is the root element of an XML digital signature. The , , , and properties encapsulate the subelements of the <Signature> element.

For more information about the <Signature> element, see the W3C specification at www.w3.org/TR/xmldsig-core/.

Represents the <Signature> element of an XML signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method adds a object to a collection that is accessible using the property.

  Adds a to the list of objects to be signed.

  The to be added to the list of objects to be signed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added

  Returns the XML representation of the .

  The XML representation of the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  Use the property to add a string ID to the XML representation of the current element. The ID is used to reference the from another location.

  Gets or sets the ID of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.KeyInfo a

  The property uses a object to represent the <KeyInfo> element of an XML digital signature.

  For more information about XML digital signatures, see the W3C specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets the of the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Loads a state from an XML element.

  The XML element from which to load the state.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IList a

  The property uses a collection of objects to represent the <Object> tag of an XML digital signature.

  You can also add a to this collection using the method.

  For more information about XML digital signatures, see the W3C specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets a list of objects to be signed.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] a

  The property uses a byte array to represent the <SignatureValue> element of an XML digital signature contained within.

  For more information about XML digital signatures, see the W3C specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets the value of the digital signature.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.SignedInfo a

  The property uses the class to represent the <SignedInfo> element of an XML digital signature contained within.

  For more information about XML digital signatures, see the W3C specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets the of the current .